Name:          pkgconf
Version:       2.4.1
Release:       1mamba
Summary:       Package compiler and linker metadata toolkit
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/pkgconf/pkgconf
Source:        https://github.com/pkgconf/pkgconf.git/pkgconf-%{version}/pkgconf-%{version}.tar.bz2
License:       ISC License
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Provides:      pkgconfig
Provides:      pkg-config
Obsoletes:     pkg-config <= 0.29.2-1mamba
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Package compiler and linker metadata toolkit.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.



%prep
%setup -q

%build
%meson

#-Dtests=false

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

ln -s pkgconf %{buildroot}%{_bindir}/pkg-config
ln -s pkgconf %{buildroot}%{_bindir}/%{_target_platform}-pkg-config
ln -s pkgconf.1.gz %{buildroot}%{_mandir}/man1/pkg-config.1.gz

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_bindir}/pkgconf
%{_bindir}/pkg-config
%{_bindir}/%{_target_platform}-pkg-config
%{_mandir}/man1/pkgconf.1*
%{_mandir}/man1/pkg-config.1*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libpkgconf.so.*
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/pkgconf/libpkgconf
%{_includedir}/pkgconf/libpkgconf/*.h
%{_libdir}/libpkgconf.so
%{_libdir}/pkgconfig/libpkgconf.pc
%{_datadir}/aclocal/pkg.m4
%dir %{_datadir}/doc/pkgconf
%{_datadir}/doc/pkgconf/*
%{_mandir}/man5/pc.5*
%{_mandir}/man5/pkgconf-personality.5*
%{_mandir}/man7/pkg.m4.7*
%doc NEWS README.md

%changelog
* Fri Mar 07 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.1-1mamba
- update to 2.4.1

* Thu Mar 06 2025 Automatic Build System <autodist@openmamba.org> 2.4.0-1mamba
- automatic version update by autodist

* Wed Aug 07 2024 Automatic Build System <autodist@openmamba.org> 2.3.0-1mamba
- automatic version update by autodist

* Thu Mar 28 2024 Automatic Build System <autodist@openmamba.org> 2.2.0-1mamba
- automatic version update by autodist

* Mon Feb 05 2024 Automatic Build System <autodist@openmamba.org> 2.1.1-1mamba
- automatic version update by autodist

* Thu Nov 23 2023 Automatic Build System <autodist@mambasoft.it> 2.1.0-1mamba
- automatic version update by autodist

* Sun Sep 03 2023 Automatic Build System <autodist@mambasoft.it> 2.0.3-1mamba
- automatic version update by autodist

* Fri Aug 18 2023 Automatic Build System <autodist@mambasoft.it> 2.0.2-1mamba
- automatic version update by autodist

* Sat Aug 12 2023 Automatic Build System <autodist@mambasoft.it> 2.0.1-1mamba
- automatic version update by autodist

* Sat Aug 05 2023 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Wed May 03 2023 Automatic Build System <autodist@mambasoft.it> 1.9.5-1mamba
- automatic version update by autodist

* Sat Apr 29 2023 Automatic Build System <autodist@mambasoft.it> 1.9.4-1mamba
- automatic version update by autodist

* Wed Aug 17 2022 Automatic Build System <autodist@mambasoft.it> 1.9.3-1mamba
- automatic version update by autodist

* Mon Aug 08 2022 Automatic Build System <autodist@mambasoft.it> 1.9.2-1mamba
- automatic version update by autodist

* Sun Aug 07 2022 Automatic Build System <autodist@mambasoft.it> 1.9.0-1mamba
- automatic version update by autodist

* Fri Apr 01 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.0-1mamba
- package created using the webbuild interface
